# README.md

Author: Qingwang Chen; Chenglin Liu

Email: qwch20@fudan.edu.cn

Last Updates: 17/01/2022

## Brief Introduction

For RNA-seq data, from fsatq to psi (Alternative Splicing).

### Requirements
choppy
Ali-Cloud
Linux

```
### 激活choppy环境
$ source activate choppy (open-choppy-env)

### 第一次安装
$ choppy install chenqingwang/fastp_suppa2

### 非第一次安装
$ choppy install chenqingwang/fastp_suppa2 -f 

# 查询已安装APP
$ choppy apps
```

## Quick Start

```
# 准备 samples.csv 文件
$ choppy samples chenqingwang/fastp_suppa2-latest > samples.csv

# 准备无默认参数的samples.csv 文件
$ choppy samples --no-default chenqingwang/fastp_suppa2-latest > samples.csv

# 提交任务
$ choppy batch chenqingwang/fastp_suppa2-latest samples.csv -p Your_project_name -l Your_label

# 查询任务运行状况
$ choppy query -L Your_label | grep "status"

# 查询失败任务
$ choppy search -s Failed -p Your_project_name -u chenqingwang --short-format

# 结果文件地址
$ oss://choppy-cromwell-result/test-choppy/Your_project_name/
```