task suppa2{
    String sample_id
    File fastq1
    File fastq2
    File suppa2_database
	
    String docker
    String cluster
    String disk_size

    command <<<
	
        set -o pipefail
        set -e
        nt=$(nproc)
                  
        /software/salmon-1.5.2_linux_x86_64/bin/salmon quant -i ${suppa2_database}/gencode.v37.transcripts.salmon.index/ \
                  -l ISR \
                  --gcBias \
                  -1 ${fastq1} \
                  -2 ${fastq2} \
                  -p $nt \
                  -o ./${sample_id}_salmon
                  
        multipleFieldSelection.py -i ./${sample_id}_salmon/quant.sf \
                  -k 1 \
                  -f 4 \
                  -o ${sample_id}_iso_tpm.txt
                  
        sed 's@|ENSG.*|@@' ${sample_id}_iso_tpm.txt > ${sample_id}_iso_tpm_formatted.txt
          
        suppa.py psiPerEvent -i ${suppa2_database}/gencode.v37.all.events.ioe \
          -e ${sample_id}_iso_tpm_formatted.txt \
          -o ${sample_id}_events
          
        suppa.py psiPerIsoform -g ${suppa2_database}/gencode.v37.annotation.gtf \
          -e ${sample_id}_iso_tpm_formatted.txt \
          -o ${sample_id}

    >>>
	
    runtime {
        docker : docker
        cluster: cluster
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        File suppa2_events = "${sample_id}_events.psi"
        File suppa2_isoform = "${sample_id}_isoform.psi"
        File TPM = "${sample_id}_iso_tpm.txt"
        File formatted_TPM = "${sample_id}_iso_tpm_formatted.txt"
    }

}


